# Uses of Enum Class
org.springframework.scheduling.config.TaskExecutionOutcome.Status

Packages that use TaskExecutionOutcome.Status
Package
Description
org.springframework.scheduling.config
Support package for declarative scheduling configuration, with XML schema being the primary configuration format.

## Uses of TaskExecutionOutcome.Status in org.springframework.scheduling.config

Methods in org.springframework.scheduling.config that return TaskExecutionOutcome.Status
Modifier and Type
Method
Description
`TaskExecutionOutcome.Status`
TaskExecutionOutcome.`status()`
Returns the value of the `status` record component.
`static TaskExecutionOutcome.Status`
TaskExecutionOutcome.Status.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TaskExecutionOutcome.Status[]`
TaskExecutionOutcome.Status.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.springframework.scheduling.config with parameters of type TaskExecutionOutcome.Status
Modifier
Constructor
Description
``
`TaskExecutionOutcome(Instant executionTime, TaskExecutionOutcome.Status status, Throwable throwable)`
Creates an instance of a `TaskExecutionOutcome` record class.